Sisimai::Reason::Vacation(3pm)

NAME
Sisimai::Reason::Vacation - the recipient is out of the office

SYNOPSIS
    use Sisimai::Reason::Vacation;
    print Sisimai::Reason::Vacation->text; # vacation

DESCRIPTION
"Sisimai::Reason::Vacation" is for only returning the text and the description. This class is called only from "Sisimai-"reason()> method.

CLASS METHODS

  "text()"
text() method returns the fixed string "vacation".

    print Sisimai::Reason::Vacation->text;  # vacation

  "match(string)"
match() method always return 0

  "true(Sisimai::Fact)"
true() method always return 0

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2016-2018,2020,2021,2024,2025 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.